Page MenuHomePhabricator

Replace ArticleRevisionUndeleted with RevisionUndeleted
Closed, ResolvedPublic

Description

ArticleRevisionUndeleted uses a revision, but only a revision record is needed, and the use of revision should be removed

  • Add new hook
  • Update Flow
  • Update LiquidThreads
  • Update FlaggedRevs
  • Deprecate old hook

Event Timeline

DannyS712 triaged this task as Medium priority.Mar 28 2020, 3:53 AM
DannyS712 created this task.
DannyS712 moved this task from Unsorted to In progress on the User-DannyS712 board.

Change 584098 had a related patch set uploaded (by DannyS712; owner: DannyS712):
[mediawiki/core@master] Add RevisionRecordUndeleted hook

https://gerrit.wikimedia.org/r/584098

Restricted Application added a project: Growth-Team. · View Herald TranscriptMar 28 2020, 3:57 AM

Note: all three extensions require 1.35+, and so they do not need to maintain support for the deprecated hook to work for versions where the new one doesn't exist

DannyS712 renamed this task from Replace ArticleRevisionUndeleted with RevisionRecordUndeleted to Replace ArticleRevisionUndeleted with RevisionUndeleted.Apr 8 2020, 12:49 PM

Change 587546 had a related patch set uploaded (by DannyS712; owner: DannyS712):
[mediawiki/extensions/LiquidThreads@master] Replace ArticleRevisionUndeleted with RevisionUndeleted

https://gerrit.wikimedia.org/r/587546

Change 587548 had a related patch set uploaded (by DannyS712; owner: DannyS712):
[mediawiki/extensions/Flow@master] Replace ArticleRevisionUndeleted with RevisionUndeleted

https://gerrit.wikimedia.org/r/587548

Change 584098 merged by jenkins-bot:
[mediawiki/core@master] Add RevisionUndeleted hook to replace ArticleRevisionUndeleted

https://gerrit.wikimedia.org/r/584098

DannyS712 updated the task description. (Show Details)Apr 8 2020, 4:02 PM
DannyS712 added a subscriber: Pchelolo.

I sent patches for LiquidThreads and Flow, but I'll wait on FlaggedRevs until after https://gerrit.wikimedia.org/r/#/c/mediawiki/extensions/FlaggedRevs/+/585376/ (cc @Pchelolo)

Change 587548 merged by jenkins-bot:
[mediawiki/extensions/Flow@master] Replace ArticleRevisionUndeleted with RevisionUndeleted

https://gerrit.wikimedia.org/r/587548

DannyS712 updated the task description. (Show Details)Apr 8 2020, 7:01 PM

Change 587546 merged by jenkins-bot:
[mediawiki/extensions/LiquidThreads@master] Replace ArticleRevisionUndeleted with RevisionUndeleted

https://gerrit.wikimedia.org/r/587546

DannyS712 updated the task description. (Show Details)Apr 8 2020, 7:21 PM

Change 588802 had a related patch set uploaded (by DannyS712; owner: DannyS712):
[mediawiki/extensions/FlaggedRevs@master] Replace ArticleRevisionUndeleted with RevisionUndeleted

https://gerrit.wikimedia.org/r/588802

Change 588805 had a related patch set uploaded (by DannyS712; owner: DannyS712):
[mediawiki/core@master] RevisionUndeleted hook: Add $oldPageId

https://gerrit.wikimedia.org/r/588805

Change 588806 had a related patch set uploaded (by DannyS712; owner: DannyS712):
[mediawiki/extensions/Flow@master] Fix RevisionUndeleted handler

https://gerrit.wikimedia.org/r/588806

Change 588807 had a related patch set uploaded (by DannyS712; owner: DannyS712):
[mediawiki/extensions/LiquidThreads@master] Fix RevisionUndeleted handler

https://gerrit.wikimedia.org/r/588807

^ So I messed up on my understanding of the old page id parameter. Sent patches to add it to the hook and then update the extensions

Change 588805 merged by jenkins-bot:
[mediawiki/core@master] RevisionUndeleted hook: Add $oldPageId

https://gerrit.wikimedia.org/r/588805

Change 588807 merged by jenkins-bot:
[mediawiki/extensions/LiquidThreads@master] Fix RevisionUndeleted handler

https://gerrit.wikimedia.org/r/588807

Change 588806 merged by jenkins-bot:
[mediawiki/extensions/Flow@master] Fix RevisionUndeleted handler

https://gerrit.wikimedia.org/r/588806

Change 588815 had a related patch set uploaded (by DannyS712; owner: DannyS712):
[mediawiki/core@wmf/1.35.0-wmf.28] RevisionUndeleted hook: Add $oldPageId

https://gerrit.wikimedia.org/r/588815

Change 588816 had a related patch set uploaded (by DannyS712; owner: DannyS712):
[mediawiki/extensions/LiquidThreads@wmf/1.35.0-wmf.28] Fix RevisionUndeleted handler

https://gerrit.wikimedia.org/r/588816

Change 588817 had a related patch set uploaded (by DannyS712; owner: DannyS712):
[mediawiki/extensions/Flow@wmf/1.35.0-wmf.28] Fix RevisionUndeleted handler

https://gerrit.wikimedia.org/r/588817

Change 588815 merged by jenkins-bot:
[mediawiki/core@wmf/1.35.0-wmf.28] RevisionUndeleted hook: Add $oldPageId

https://gerrit.wikimedia.org/r/588815

Change 588817 merged by jenkins-bot:
[mediawiki/extensions/Flow@wmf/1.35.0-wmf.28] Fix RevisionUndeleted handler

https://gerrit.wikimedia.org/r/588817

Change 588816 merged by jenkins-bot:
[mediawiki/extensions/LiquidThreads@wmf/1.35.0-wmf.28] Fix RevisionUndeleted handler

https://gerrit.wikimedia.org/r/588816

Mentioned in SAL (#wikimedia-operations) [2020-04-15T13:23:37Z] <jforrester@deploy1001> Synchronized php-1.35.0-wmf.28/includes/page/PageArchive.php: T248727 Fix RevisionUndeleted hook to add (duration: 01m 08s)

Mentioned in SAL (#wikimedia-operations) [2020-04-15T13:25:24Z] <jforrester@deploy1001> Synchronized php-1.35.0-wmf.28/extensions/LiquidThreads/classes/DeletionController.php: T248727 Adjust to RevisionUndeleted hook now having (duration: 01m 06s)

Mentioned in SAL (#wikimedia-operations) [2020-04-15T13:26:50Z] <jforrester@deploy1001> Synchronized php-1.35.0-wmf.28/extensions/Flow/Hooks.php: T248727 Adjust to RevisionUndeleted hook now having (duration: 01m 04s)

Change 588802 merged by jenkins-bot:
[mediawiki/extensions/FlaggedRevs@master] Replace ArticleRevisionUndeleted with RevisionUndeleted

https://gerrit.wikimedia.org/r/588802

Change 589015 had a related patch set uploaded (by DannyS712; owner: DannyS712):
[mediawiki/core@master] Hard deprecate the ArticleRevisionUndeleted hook

https://gerrit.wikimedia.org/r/589015

Change 589015 merged by jenkins-bot:
[mediawiki/core@master] Hard deprecate the ArticleRevisionUndeleted hook

https://gerrit.wikimedia.org/r/589015

DannyS712 closed this task as Resolved.Apr 15 2020, 7:22 PM
DannyS712 removed a project: Patch-For-Review.
DannyS712 updated the task description. (Show Details)